Subject: Re: [PATCH RFC v2 0/5] Introduce git-last-modified(1) command

From: Toon Claes <[email-masked]>
Date: Wed, 02 Jul 2025 15:00:20 +0200

>> I do not see anything unexpected.  Have you seen "git ls-tree"
>> output without -r(ecursive) before?
>>
>>     $ git ls-tree HEAD refs.c refs.h Documentation
>>     040000 tree a0f7113f63a19b70dff14bfd9f8f82809f5068e1	Documentation
>>     100644 blob dce5c49ca2ba65fd6a2974e38f67134215bee369	refs.c
>>     100644 blob 46a6008e07f2624239139cd8b2ff712545f07d3f	refs.h

You raise a good point here. Let's compare:

$ git ls-tree HEAD -- refs.c refs.h Documentation/git-last-modified.adoc Documentation/git-config.adoc
100644 blob 936e0c5130fe7d67f645501fbb9e70b94b437f54	Documentation/git-config.adoc
100644 blob 1af38f402ed6437353fb5765f62251966d828df9	Documentation/git-last-modified.adoc
100644 blob dce5c49ca2ba65fd6a2974e38f67134215bee369	refs.c
100644 blob 46a6008e07f2624239139cd8b2ff712545f07d3f	refs.h

$ git last-modified HEAD -- refs.c refs.h Documentation/git-last-modified.adoc Documentation/git-config.adoc
56073a0af90be947cfefbfc3cf762b268e5e20a9	Documentation
062b914c841329a003f74e1340ea5178391274a6	refs.c
47478802daddf3f9916111307f153c6298ffc0bc	refs.h

I have to agree with Kristoffer here, and the latter is not what I
would expect. Thanks for the testing! I will try to address in next
version.

-- 
Cheers,
Toon